include:
  - project: 'mihben/pipeline-templates'
    ref: feature/dotnet-template
    file: '/dotnet/pipeline.yml'
  - project: 'mihben/pipeline-templates'
    ref: feature/dotnet-template
    file: 'dotnet/deliver-nuget.yml'

default:    
  image: mcr.microsoft.com/dotnet/sdk:8.0

variables:
  SONAR_PROJECT_KEY: "blazter_bunit"
  SONAR_ORGANIZATION: "blazter"
  
stages:
  - .pre
  - build
  - test
  - deploy
  - .post

deliver-job:
  stage: deploy
  script:
    - !reference [.deliver, nuget]
  rules:
    - if: $CI_COMMIT_TAG